CENTERIM(1)

NAME
centerim - a text mode based IM client for Linux, *BSD, Sun Solaris, MacOS X and possibly, other Unices. ICQ2000, Yahoo!, AIM TOC, IRC, MSN, Gadu-Gadu and Jabber protocols are now supported. Internal LiveJournal client and RSS reader are also provided.

SYNOPSIS
centerim [ option ] ...

DESCRIPTION
This manual page documents briefly the centerim command.

centerim is a text mode menu- and window-driven IM interface. Currently ICQ2000, Yahoo!, AIM, IRC, MSN, Gadu-Gadu and Jabber protocols are supported. It allows you to send, receive, and forward messages, URLs, SMSes and, contacts, mass message send, search for users (including extended "whitepages search"), view users' details, maintain your contact list directly from the program (including non-icq contacts), view the messages history, register a new UIN and update your details, be informed on receiving email messages, automatically set away after the defined period of inactivity (on any console), and have your own ignore, visible and invisible lists. It can also associate events with sounds, add events to the outgoing queue from command line, define external event processing actions (like events auto-forwarding or elizatalk), has support for Hebrew and Arabic languages and allows to arrange contacts into groups.

OPTIONS

-a, --ascii
    use ascii characters to draw lines and boxes

-h, --help
    display command line usage

-v, --version
    show the program version info

-b, --basedir <directory>
    specify another base directory; useful for having several IM identities under the same UNIX account

-B, --bind <hostname/ip>
    tells centerim to use the specified IP address for outgoing connections

-B, --no-xtitles
    disable title changing in xterm or screen

-o, --offline
    start with all protocols set offline

The following commands are used to put events to the outgoing queue from the command line. If centerim is already running they're to be sent immediately, otherwise they will be sent as soon as you go on-line.

-s, --send <event type>
    This parameter specifies the type of event you want to send. Currently only "msg", "url" and "sms" are supported.

-p, --proto <protocol type>
    This one specifies to which IM network the destination contact belongs. Can be "icq", "yahoo", "aim", "irc", "jab", "msn", "gg" or "lj".

-t, --to <nickname or UIN>
    With this one you specify nickname or UIN of the destination contact. For icq it's possible to specify 0 to send events to yourself. Only SMSes are known to be possible to be sent to oneself though.

-n, --number <phone number>
    Using this parameter you can send SMSes to any mobile numbers through the ICQ network.

The message text is read from the standard input, so use pipes in shell to pass it. For example, you can say "hi" to me through the ICQ network with the following command:

    $ echo "hi" | centerim -s msg -p icq -t 17502151

In case you want to send an URL, the URL itself and its description are separated with a newline character the following way:

    $ echo -e "http://thekonst.net/\nMy modest homepage." | centerim -s url -p icq -t 17502151

Please note, that all three parameters are required in order to queue an event.

Finally, a small example of sending SMSes:

    $ echo "sms test" | centerim -s sms -n 1234567890

It's also possible to change your current status on a particular IM network with the following command line option.

-S, --status <status letter>
    The argument parameter is a letter which indicates which status is to be set: o (Online), _ (Offline), a (Away), d (Don't disturb), n (N/A), c (Occupied), f (Free for chat), i (Invisible)

-p or --proto <protocol name>
    Exactly the same like it was described for the previous command.

Examples:

    $ centerim -S _ -p icq

This will set the icq status to offline. In other words, it'll be disconnected immediately.

    $ centerim -S a -p yahoo

And this command will switch your yahoo status to away.

VERSION
centerim 4.22.1

BUG REPORT
Report any bugs at our Bugzilla site at http://bugzilla.centerim.org/

AUTHOR
This page and centerim was originally written by Konstantin Klyagin. Currently, several people are maintaining this software project.

WEB
http://www.centerim.org/